org.apache.lucene.search.similarities

## Class BasicModelD

- java.lang.Object
- - org.apache.lucene.search.similarities.BasicModel
  - - org.apache.lucene.search.similarities.BasicModelD

-     public class BasicModelD
      extends BasicModel

  Implements the approximation of the binomial model with the divergence for DFR. The formula used in Lucene differs slightly from the one in the original paper: to avoid underflow for small values of `N` and `F`, `N` is increased by `1` and `F` is always increased by `tfn+1`.

  WARNING: for terms that do not meet the expected random distribution (e.g. stopwords), this model may give poor performance, such as abnormally high or NaN scores for low tf values.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicModelD()` Sole constructor: parameter-free

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `score(BasicStats stats, float tfn)` Returns the informative content score.
    `String` | `toString()` Subclasses must override this method to return the code of the basic model formula.

    - ### Methods inherited from class org.apache.lucene.search.similarities.BasicModel

      `explain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicModelD

          public BasicModelD()

      Sole constructor: parameter-free

  - ### Method Detail

    - #### score

          public final float score(BasicStats stats,
                                   float tfn)

      Description copied from class: `BasicModel`
      Returns the informative content score.
      Specified by:
        `score` in class `BasicModel`

    - #### toString

          public String toString()

      Description copied from class: `BasicModel`
      Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.
      Specified by:
        `toString` in class `BasicModel`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.